package p10_klasy.v5;

public class Osoba {
    private String imie, nazwisko;
    private int wiek;
    
    Osoba() {
    }
    
    public Osoba(String imie, String nazwisko, int wiek) {
        this.imie = imie;
        this.nazwisko = nazwisko;
        this.wiek = wiek;
    }
    
    public void przedstawSie() {
        System.out.println("Nazywam się " + imie + " " + nazwisko + " i mam " + wiek + " lat.");
    }
    
    // final gwarantuje, że żadna podklasa nie będzie mogła nadpisać tej metody
    public final boolean jestPelnoletnia() {
        return wiek >= 18;
    }
    
    public String toString() {
        return imie + " " + nazwisko + " (" + wiek + " lat)";
    }

    public String getImie() {
        return imie;
    }
    
    public String getNazwisko() {
        return nazwisko;
    }
    
    public int getWiek() {
        return wiek;
    }
    
    public void setImie(String imie) {
        this.imie = imie;
    }
    
    public void setNazwisko(String nazwisko) {
        this.nazwisko = nazwisko;
    }
}

